J3.x

Update mislukt met een foutmelding

From Joomla! Documentation

This page is a translated version of the page J3.x:Update fails with an error message and the translation is 100% complete.

Other languages:
العربية • ‎Deutsch • ‎English • ‎español • ‎français • ‎magyar • ‎Bahasa Indonesia • ‎日本語 • ‎Nederlands • ‎svenska
Joomla! 
3.6.1

Gerapporteerde fouten

Wanneer de website wordt geüpdatet naar Joomla! 3.6.1 door gebruik te maken van de ingebouwde Joomla! Update extensie, zal de volgende foutmelding verschijnen: Joomla-3.6.1-error-message-nl.png

Getroffen versies

Algemene informatie

Dit heeft alleen betrekking op de Joomla! versie(s): 3.6.1

Wat is de oorzaak?

3.6.1 introduceert een CSRF token check in de update component als extra beveiligingsniveau. 3.6.0 tot 2.5.4 (iedere versie met de update component) zullen vastlopen op de CSRF token, omdat deze versies de benodigde code niet genereren als controle. Toekomstige updates zullen wel correct werken.

Hoe op te lossen

Updaten van Joomla! 3.6.0

  • Ga terug naar het controlepaneel in het beheergedeelte example.com/administrator
  • Ga vervolgens naar Extensies    Beheren    Database
  • Een bericht dat de database niet up-to-date is wordt weergegeven
  • Klik op de knop Repareren in de werkbalk.

Updaten van Joomla! LAGER dan 3.6.0

Als u werkt met een versie lager dan 3.6.0:

  • Update eerst naar Joomla! 3.6.0 en NIET direct naar Joomla! 3.6.1
  • Update com_joomlaupdate via extensiebeheer
  • en voer vervolgens de update van Joomla! 3.6.0 naar Joomla! 3.6.1 uit.

Er is een nieuwe versie voor com_joomlaupdate beschikbaar in het beheergedeelte via update in extensiebeheer.

Voor meer informatie

Bekijk de officiële aankondiging gerelateerd aan het probleem HIER

Opmerking: Als uw website PHP 5.3 gebruikt, kan deze foutmelding getoond worden bij een poging om in te loggen:
0 Failed to start the session: already started by PHP ($_SESSION is set).
Joomla! 3.6.2 verhelpt dit probleem. Zie Fix logging in in PHP 5.3.